#include "no_discount.hpp"
#include "discount_visitor.hpp"

void NoDiscount::accept(DiscountVisitor& visitor)
{
    visitor.visit(*this);
}

DiscountPtr NoDiscount::copy() const
{
    return makeDiscount< NoDiscount>();
}

Products NoDiscount::calculateNewPrices(const Products& products) const
{
    return products;
}
