#ifndef NO_DISCOUNT_HPP
#define NO_DISCOUNT_HPP

#include <discount.hpp>

class NoDiscount : public Discount
{
public:
    void accept(DiscountVisitor&) override;

    DiscountPtr copy() const override;

    Products calculateNewPrices(const Products& products) const override;
};

#endif // NO_DISCOUNT_HPP