#include "discount_visitors/ostream_discount.hpp"
#include "discount.hpp"


std::ostream& operator<<(std::ostream& os, Discount& discount)
{
    discount.accept(OstreamDiscount(os));
    return os;
}

std::ostream& operator<<(std::ostream& os, const Discounts& discounts)
{
    int i = 1;
    for (const auto& discount : discounts)
        os << i++ << ": " << (*discount);
    return os;
}