#ifndef COMPLEX_DISCOUNT_UI_HPP
#define COMPLEX_DISCOUNT_UI_HPP

#include <QDialog>
#include "discount.hpp"

namespace Ui {
class ComplexDiscount;
}

class ComplexDiscount;
class QListWidgetItem;

class ComplexDiscountGui : public QDialog
{
    Q_OBJECT
public:
    explicit ComplexDiscountGui(const ComplexDiscount& discount, QWidget* parent = 0);

protected:

private slots:
    void listItemDoubleClicked(QListWidgetItem*);

private:
    Ui::ComplexDiscount *ui;
    void setDiscount(const DiscountPtr & );
};

#endif // COMPLEX_DISCOUNT_UI_HPP