#ifndef DISCOUNT_VISITOR_HPP
#define DISCOUNT_VISITOR_HPP

class NoDiscount;
class PercentDiscount;
class OneOfNthFreeDiscount;
class ComplexDiscount;

class DiscountVisitor
{
public:
    virtual void visit(NoDiscount&) = 0;
    virtual void visit(PercentDiscount&) = 0;
    virtual void visit(OneOfNthFreeDiscount&) = 0;
    virtual void visit(ComplexDiscount&) = 0;

    virtual ~DiscountVisitor() = default;
};

#endif // DISCOUNT_VISITOR_HPP