#include "discount_name.hpp"

#include "discounts/no_discount.hpp"
#include "discounts/percent_discount.hpp"
#include "discounts/one_of_Nth_free_discount.hpp"
#include "discounts/complex_discount.hpp"

void DiscountName::visit(NoDiscount&)
{
    name_ = "NoDiscount";
}

void DiscountName::visit(PercentDiscount& discount)
{
    name_ = "PercentDiscount";
}

void DiscountName::visit(OneOfNthFreeDiscount& discount)
{
    name_ = "OneOfNthFreeDiscount";
}

void DiscountName::visit(ComplexDiscount& discount)
{
    name_ = "ComplexDiscount";
}
