#ifndef DISCOUNT_NAME_HPP
#define DISCOUNT_NAME_HPP

#include <string>

#include "discount_visitor.hpp"

class DiscountName : public DiscountVisitor
{
public:
    void visit(NoDiscount&) override;
    void visit(PercentDiscount&) override;
    void visit(OneOfNthFreeDiscount&) override;
    void visit(ComplexDiscount&) override;

    std::string getLastDiscountName() { return name_; }

private:
    std::string name_;
};

#endif // OSTREAM_DISPLAY_DISCOUNT_HPP