#ifndef OSTREAM_DISCOUNT_HPP
#define OSTREAM_DISCOUNT_HPP

#include <iostream>

#include "discount_visitor.hpp"

class OstreamDiscount : public DiscountVisitor
{
public:
    OstreamDiscount(std::ostream&);

    void visit(NoDiscount&) override;
    void visit(PercentDiscount&) override;
    void visit(OneOfNthFreeDiscount&) override;
    void visit(ComplexDiscount&) override;

private:
    std::ostream& ostream_;
};

#endif // OSTREAM_DISPLAY_DISCOUNT_HPP