#include "discount_presenter.hpp"

#include "discounts/no_discount.hpp"
#include "discounts/percent_discount.hpp"
#include "discounts/one_of_Nth_free_discount.hpp"
#include "discounts/complex_discount.hpp"

#include "no_discount.hpp"
#include "percent_discount.hpp"
#include "complex_discount.hpp"


void DiscountPresenter::visit(NoDiscount& discount)
{
    NoDiscountGui gui(discount);
    gui.exec();
}

void DiscountPresenter::visit(PercentDiscount& discount)
{
    PercentDiscountGui gui(discount);
    gui.exec();
}

void DiscountPresenter::visit(OneOfNthFreeDiscount& discount)
{
    //name_ = "OneOfNthFreeDiscount";
}

void DiscountPresenter::visit(ComplexDiscount& discount)
{
    ComplexDiscountGui gui(discount);
    gui.exec();
}
