#ifndef DISCOUNT_PRESENTER_HPP
#define DISCOUNT_PRESENTER_HPP

#include "discount_visitor.hpp"

class DiscountPresenter : public DiscountVisitor
{
public:
    void visit(NoDiscount&) override;
    void visit(PercentDiscount&) override;
    void visit(OneOfNthFreeDiscount&) override;
    void visit(ComplexDiscount&) override;

private:
};

#endif // OSTREAM_DISPLAY_DISCOUNT_HPP