#ifndef WINDOW_HPP
#define WINDOW_HPP

#include <QMainWindow> 

#include <discount.hpp>

namespace Ui {
class MainWindow;
}

class QListWidgetItem;

class MainWindow : public QMainWindow
{
    Q_OBJECT
public:
    explicit MainWindow(QWidget* parent = 0);

protected:

private slots:
    void open();
    void save();
    void quit();
    void about();
    void listItemDoubleClicked(QListWidgetItem*);
private:

private:
    void createActions();

    void setDiscounts(const Discounts&);
    void setDiscount(const DiscountPtr&);

private:
    Ui::MainWindow *ui;
};

#endif // WINDOW_HPP