#ifndef QLIST_DISCOUNT_ITEM_HPP
#define QLIST_DISCOUNT_ITEM_HPP

#include <QListWidgetItem>
#include <QMouseEvent>
#include <QObject>

#include <discount.hpp>

class QListDiscountItem : /* public QObject,*/ public QListWidgetItem
{
    //Q_OBJECT

public:
    explicit QListDiscountItem(const DiscountPtr& discount, QListWidget* parent = 0)
        : QListWidgetItem(parent)
        , discount_(discount)
    {

    }

    auto discount() { return discount_; }

//public slots:
    //void listItemDoubleClicked(QListWidgetItem*);

private:
    DiscountPtr discount_;
};

#endif // QLIST_DISCOUNT_ITEM_HPP